{% extends "base_ajax.html" %}
{% load static %}
{% block title %} {{ block.super }} Lista de ONU {% endblock title %}
{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
{% endblock extra_head %}
{% block content %}
<div class="panel panel-inverse" data-sortable-id="table-basic-4" >
  <!-- begin panel-heading -->

  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
      <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Lista de ONU</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body">
    <!-- begin table-responsive -->
    <div class="table-responsive">

      <div class="row">
        &nbsp;&nbsp;&nbsp;Filtrar por:
        <div class="col col-md-2">
          <select class="form-control" id="filter_status">
            <option>Estado</option>
            <option>ONLINE</option>
            <option>OFFLINE</option>
          </select>
        </div>
        <div class="col col-md-2"><select class="form-control" id="filter_model"></select></div>
        <div class="col col-md-2"><select class="form-control" id="filter_olt"></select></div>
        <div class="col col-md-3"><select class="form-control disabled" id="filter_fsp"></select></div>
      </div>

      <table class="table" id="table_onus_olt">
        <thead>   
          <tr>
            <th nowrap="">Contador</th>
            <th nowrap="">ID</th>
            <th nowrap="">Nro. Servicio</th>
            <th nowrap="">Estado</th>
            <th nowrap="">Estado de Red</th>
            <th nowrap="">Tiempo Online</th>
            <th nowrap="">SN</th>
            <th nowrap="">Modelo</th>
            <th nowrap="">Descripción</th>
            <th nowrap="">Distancia</th>
            <th nowrap="">Señal optica</th>
            <th nowrap="">MAC</th>
            <th nowrap="">IP</th>
            <th nowrap="">Activar Servicio en Matrix</th>
            <th nowrap="">Corte</th>
            <th nowrap="">Reposición</th>
            <th nowrap="">Establecer como Equipo Primario</th>
            <th nowrap="">OLT a la que pertenece</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
    <!-- end table-responsive -->
  </div>
  <!-- end panel-body -->
</div>
{% endblock content %}
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/select2/dist/js/select2.min.js' %}"></script>
<script src="{% static 'scripts/onu_list.js' %}"></script>
{% endblock extra_js %}